public class CosinusEtSinusEnConsole {

/////////////////////////////////////////////////

/* Type agrege de stockage du cosinus          */
/* et du sinus d'un angle                      */

  static class CosEtSin {
    double cos = 1.0;
    double sin = 0.0; };

/* Calcul du cosinus et du sinus d'un angle    */
/* donne en degres                             */

  static CosEtSin calculCosinusEtSinusEnConsole(double angle) {
    CosEtSin res = new CosEtSin();
    double a;
    a = angle*Math.PI/180.0;
    res.cos = Math.cos(a);
    res.sin = Math.sin(a);
    return res;
  }

/////////////////////////////////////////////////

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("CosinusEtSinus");
    double angle;
    CosEtSin ces;
    Console.afficher("SVP, l'angle : ");
    angle = Console.saisirDouble();
    ces = calculCosinusEtSinusEnConsole(angle);
    Console.afficherln("sin(",angle,") = ",ces.sin);
    Console.afficherln("cos(",angle,") = ",ces.cos);
  }
}